Skip to main content
PUT
/
customers
/
api
/
manage
/
{customerId}
curl -X PUT "https://api.trusset.org/customers/api/manage/cust_abc123" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: trusset_abc123xy_secret..." \
  -d '{ "investorType": "INSTITUTIONAL" }'
{
  "success": true,
  "data": {
    "id": "cust_abc123",
    "walletAddress": "0xAbC123dEf456789012345678901234567890AbCd",
    "country": "DE",
    "investorType": "INSTITUTIONAL",
    "status": "verified",
    "archived": false
  },
  "metadata": {
    "requestId": "550e8400-e29b-41d4-a716-446655440000",
    "timestamp": "2025-06-15T12:00:00.000Z"
  }
}
Updates fields on an existing customer. Only the provided fields are modified; omitted fields remain unchanged.

Path Parameters

customerId
string
required
Customer ID.

Request Body

country
string
Updated ISO country code.
investorType
string
Updated investor classification. Values: RETAIL, PROFESSIONAL, INSTITUTIONAL.
email
string
Updated email address.
metadata
object
Updated metadata. Replaces existing metadata entirely.

Response Fields

success
boolean
Request status
data
object
The updated customer object
curl -X PUT "https://api.trusset.org/customers/api/manage/cust_abc123" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: trusset_abc123xy_secret..." \
  -d '{ "investorType": "INSTITUTIONAL" }'
{
  "success": true,
  "data": {
    "id": "cust_abc123",
    "walletAddress": "0xAbC123dEf456789012345678901234567890AbCd",
    "country": "DE",
    "investorType": "INSTITUTIONAL",
    "status": "verified",
    "archived": false
  },
  "metadata": {
    "requestId": "550e8400-e29b-41d4-a716-446655440000",
    "timestamp": "2025-06-15T12:00:00.000Z"
  }
}